<?php
include_once"base_connect.php";

switch ($part) {
//+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_
//+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_
case "view_profile":
$settings=array
(
'table'=>'child',
'child_table'=>sub_table,
'child_table_id_col'=>sub_table_id,
'child_table_title'=>sub_table_title,
'id_col'=>id_col,
'heading'=>'Account Details',
'ref'=>routine_profile_alias);

$arraycols=array(

'labels'=>array(
'Name ',
'Company ',
'Contact ',
'Address ',
'Registration Date ',
),

'fields'=>array(
'title',
'sub_url',
'sub_url2',
'sub_url4',
'sub_url3',
)
);

$arrayfields=array(id_col);

$tdsettings=array(
	'table'=>sub_table,
	'id_col'=>id_col,
	'ref_value'=>routine_profile_alias,
	'fields_array'=>$arrayfields,
	'status_value'=>'Active',
	'order'=>'ASC',
	'order_col'=>id_col,
	'errors'=>"0",
	'echo'=>"0",
	'limit'=>1,
	'type'=>'status_ref');

	$loaded=db_fetch($tdsettings);

foreach($loaded as $item){
$id_ref=$item[id_col];	
}

$parameters=array(
'heading'=>'Account Details',
'settings'=>$settings,
'fields'=>$arraycols,
//'remote_cols'=>$remote_arraycols,
//'links'=>$links_array,
//'btn_id'=>'sum_val',
'id'=>$id_ref,
);

view_details_v2($parameters);

break;
//+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_
//+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_
case "view_notification":
$settings=array
(
'table'=>'child',
'child_table'=>sub_table,
'child_table_id_col'=>sub_table_id,
'child_table_title'=>sub_table_title,
'id_col'=>id_col,
'ref'=>routine_notification_alias);

$arraycols=array(

'labels'=>array(
'Subject ',
'Date ',
'Sent By ',
),

'fields'=>array(
'title',
'server_time',
'sub_url8'
)
);


$parameters=array(
'heading'=>'Notification',
'settings'=>$settings,
'fields'=>$arraycols,
//'remote_cols'=>$remote_arraycols,
//'links'=>$links_array,
//'btn_id'=>'sum_val',
'id'=>$id,
);

view_details_v2($parameters);

break;
//+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_

case "password" :
password_setup();
break;
//+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+__+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_+_


default;
app_error("404!","Views");
}

/////////////////////////////////////////////////////////////////////////////
include_once"../includes/app_bottom.php";


?>